## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           mooltipass-udev
Version:        2023011200
Release:        %autorelease
Summary:        Udev rules for Mooltipass devices

License:        GPL-3.0-or-later
URL:            https://github.com/mooltipass/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz.asc
Source2:        mooltipass-udev-gpgkey.gpg
BuildArch:      noarch

Requires:       udev

BuildRequires:  gnupg2
# for _udevrulesdir macro
BuildRequires:  systemd-rpm-macros

Conflicts:      moolticute <= 1.00.1-4

%description
Udev rules to allow user access to Mooltipass devices for use with Moolticute.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%build
# Nothing to build

%install
install -Dpm 0644 udev/69-mooltipass.rules %{buildroot}%{_udevrulesdir}/69-mooltipass.rules

%files
%license license.txt
%doc README.md
%{_udevrulesdir}/69-mooltipass.rules

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2023011200-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023011200-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023011200-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023011200-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2023011200-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jan 22 2023 Arthur Bols <arthur@bols.dev> - 2023011200-1
- Initial import (fedora#2160449)
## END: Generated by rpmautospec
